import 'package:flutter/material.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class FileFormatSampleHeader extends StatelessWidget {
  const FileFormatSampleHeader({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);
    final l10n = AppLocalizations.of(context)!;
    final titleStyle = theme.textTheme.bodyLarge?.copyWith(
      fontSize: 18,
      fontWeight: FontWeight.w600,
    );

    return Row(
      children: [
        const Icon(Icons.filter_list),
        const SizedBox(width: 5),
        Text(l10n.exampleTitle, style: titleStyle),
      ],
    );
  }
}
